package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.external.filter.SYXBJSearchContext;

/**
 * 实体 [商业险报价] 存储模型
 */
public interface SYXBJ{

    /**
     * 商业险报价名称
     */
    String getSYXBJName();

    void setSYXBJName(String sYXBJName);

    /**
     * 获取 [商业险报价名称]脏标记
     */
    boolean getSYXBJNameDirtyFlag();
    /**
     * 费率
     */
    Double getFl();

    void setFl(Double fl);

    /**
     * 获取 [费率]脏标记
     */
    boolean getFlDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 平台返回系数
     */
    Double getPtfhxs();

    void setPtfhxs(Double ptfhxs);

    /**
     * 获取 [平台返回系数]脏标记
     */
    boolean getPtfhxsDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 基准保费
     */
    BigDecimal getJzbf();

    void setJzbf(BigDecimal jzbf);

    /**
     * 获取 [基准保费]脏标记
     */
    boolean getJzbfDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 条款名称
     */
    String getTkmc();

    void setTkmc(String tkmc);

    /**
     * 获取 [条款名称]脏标记
     */
    boolean getTkmcDirtyFlag();
    /**
     * MD
     */
    String getMd();

    void setMd(String md);

    /**
     * 获取 [MD]脏标记
     */
    boolean getMdDirtyFlag();
    /**
     * 条款代码
     */
    String getTkdm();

    void setTkdm(String tkdm);

    /**
     * 获取 [条款代码]脏标记
     */
    boolean getTkdmDirtyFlag();
    /**
     * 实交保费
     */
    BigDecimal getSjbf();

    void setSjbf(BigDecimal sjbf);

    /**
     * 获取 [实交保费]脏标记
     */
    boolean getSjbfDirtyFlag();
    /**
     * 商业险报价标识
     */
    String getSYXBJId();

    void setSYXBJId(String sYXBJId);

    /**
     * 获取 [商业险报价标识]脏标记
     */
    boolean getSYXBJIdDirtyFlag();
}
